import { getCars } from './getCars'
import { formatCar } from './formatCar.js'

const generateReport = cars =>
  cars
    .filter(car => car.price > 100)
    .map(formatCar)
    .join('\n');

document.getElementById('message-element').textContent = "Loading...";


getCars().then(cars => {
	const message = generateReport(cars);
	document.getElementById('message-element').textContent = message;
});